Bug 92334 - Oops in redhat kernels
Oops in redhat kernels
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-05 04:07 EDT by Kim Bisgaard
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kim Bisgaard 2003-06-05 04:07:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b) Gecko/20030509

Description of problem:
I get kernel oops in redhat kernels like 2.4.20-8 and above version.

Random programs just disapears without coredump or anything.

I have left memcheck86-2.9 running all tests allnight - no problems.

I have had a disk inconsistency so fatal that neither journal nor manual fsck
could help only reinstall.


Version-Release number of selected component (if applicable):
kernel-2.4.20-13.9

How reproducible:
Sometimes

Steps to Reproduce:
none known - run for a while - then it starts

Additional info:

> cat /proc/swaps
Filename                        Type            Size    Used    Priority
/dev/hda6                       partition       136512  15836   -1
/opt/SWAP                       file            388088  0       -2

> cat /etc/fstab
LABEL=/         /         ext3    defaults              1 1 #hda7
LABEL=/boot     /boot     ext3    defaults              1 2 #hda5
LABEL=/home     /home     ext3    defaults              1 3 #hda10
LABEL=/opt      /opt      ext3    defaults              1 4 #hda11
none            /proc     proc    defaults              0 0
none            /dev/shm  tmpfs   defaults              0 0
none            /dev/pts  devpts  gid=5,mode=620        0 0
/dev/hda6       swap      swap    defaults              0 0
/opt/SWAP       swap      swap    defaults              0 0
/dev/cdrom              /mnt/cdrom              udf,iso9660
noauto,owner,kudzu,ro 0 0
/dev/fd0                /mnt/floppy             auto    noauto,owner,kudzu 0 0
Comment 1 Kim Bisgaard 2003-06-05 04:09:55 EDT
> ksymoops -i < /var/log/messages
ksymoops 2.4.5 on i686 2.4.20-13.9.  Options used
     -V (default)
     -k /proc/ksyms (default)
     -l /proc/modules (default)
     -o /lib/modules/2.4.20-13.9/ (default)
     -m /boot/System.map-2.4.20-13.9 (default)
     -i

Warning: You did not tell me where to find symbol information.  I will
assume that the log matches the kernel and modules that are running
right now and I'll use the default options above for symbol resolution.
If the current kernel and/or modules do not match the log, you can get
more accurate output by telling me the kernel version and where to find
map, modules, ksyms etc.  ksymoops -h explains the options.

Jun  5 08:53:50 kim kernel: Unable to handle kernel NULL pointer dereference at
virtual address 00000074
Jun  5 08:53:50 kim kernel: c01418c0
Jun  5 08:53:50 kim kernel: *pde = 00000000
Jun  5 08:53:50 kim kernel: Oops: 0000
Jun  5 08:53:50 kim kernel: CPU:    0
Jun  5 08:53:50 kim kernel: EIP:    0060:[<c01418c0>]    Not tainted
Using defaults from ksymoops -t elf32-i386 -a i386
Jun  5 08:53:50 kim kernel: EFLAGS: 00010202
Jun  5 08:53:50 kim kernel: eax: c10002d0   ebx: 00000100   ecx: 00000000   edx:
00000001
Jun  5 08:53:50 kim kernel: esi: 0000000e   edi: ccc4ba00   ebp: 00000000   esp:
cffb5f84
Jun  5 08:53:51 kim kernel: ds: 0068   es: 0068   ss: 0068
Jun  5 08:53:51 kim kernel: Process kscand/Normal (pid: 7, stackpage=cffb5000)
Jun  5 08:53:51 kim kernel: Stack: ccc58900 00000000 00000000 cffb5fb4 c10d2ff0
c10d2ff0 c0308cb4 c10b857c
Jun  5 08:53:51 kim kernel:        00000000 c013a644 cffb4000 c0125460 00000001
00000000 cffb4000 c0308b40
Jun  5 08:53:51 kim kernel:        cffb4000 c013b4c4 c0308b40 00000000 00000000
c025a88c 00000753 c013b3d0
Jun  5 08:53:51 kim kernel: Call Trace:   [<c013a644>] scan_active_list [kernel]
0x34 (0xcffb5fa8))
Jun  5 08:53:51 kim kernel: [<c0125460>] process_timeout [kernel] 0x0 (0xcffb5fb0))
Jun  5 08:53:51 kim kernel: [<c013b4c4>] kscand [kernel] 0xf4 (0xcffb5fc8))
Jun  5 08:53:51 kim kernel: [<c013b3d0>] kscand [kernel] 0x0 (0xcffb5fe0))
Jun  5 08:53:51 kim kernel: [<c010727d>] kernel_thread_helper [kernel] 0x5
(0xcffb5ff0))
Jun  5 08:53:51 kim kernel: Code: 8b 41 74 39 41 60 0f 43 54 24 04 45 4e 89 54
24 04 0f 89 3e


>>EIP; c01418c0 <page_referenced+210/2a0>   <=====

>>eax; c10002d0 <_end+c29c10/104369c0>
>>edi; ccc4ba00 <_end+c875340/104369c0>
>>esp; cffb5f84 <_end+fbdf8c4/104369c0>

Trace; c013a644 <scan_active_list+34/70>
Trace; c0125460 <process_timeout+0/10>
Trace; c013b4c4 <kscand+f4/160>
Trace; c013b3d0 <kscand+0/160>
Trace; c010727d <kernel_thread_helper+5/18>

Code;  c01418c0 <page_referenced+210/2a0>
00000000 <_EIP>:
Code;  c01418c0 <page_referenced+210/2a0>   <=====
   0:   8b 41 74                  mov    0x74(%ecx),%eax   <=====
Code;  c01418c3 <page_referenced+213/2a0>
   3:   39 41 60                  cmp    %eax,0x60(%ecx)
Code;  c01418c6 <page_referenced+216/2a0>
   6:   0f 43 54 24 04            cmovae 0x4(%esp,1),%edx
Code;  c01418cb <page_referenced+21b/2a0>
   b:   45                        inc    %ebp
Code;  c01418cc <page_referenced+21c/2a0>
   c:   4e                        dec    %esi
Code;  c01418cd <page_referenced+21d/2a0>
   d:   89 54 24 04               mov    %edx,0x4(%esp,1)
Code;  c01418d1 <page_referenced+221/2a0>
  11:   0f 89 3e 00 00 00         jns    55 <_EIP+0x55>


1 warning issued.  Results may not be reliable.
Comment 2 Kim Bisgaard 2003-06-08 05:13:31 EDT
More oops'es since report:

Jun  5 20:25:37 kim kernel: Unable to handle kernel NULL pointer dereference at
virtual address 00000000
Jun  5 20:25:37 kim kernel:  printing eip:
Jun  5 20:25:37 kim kernel: c013a652
Jun  5 20:25:37 kim kernel: *pde = 00000000
Jun  5 20:25:37 kim kernel: Oops: 0000
Jun  5 20:25:37 kim kernel: snd-pcm-oss snd-ens1371 snd-pcm snd-timer
snd-page-alloc snd-rawmidi snd-seq-device gameport snd-ac97-codec snd-mixer-oss
snd soundcore nfs lockd sunrpc tdfx 
Jun  5 20:25:37 kim kernel: CPU:    0
Jun  5 20:25:37 kim kernel: EIP:    0060:[<c013a652>]    Not tainted
Jun  5 20:25:37 kim kernel: EFLAGS: 00210246
Jun  5 20:25:37 kim kernel: 
Jun  5 20:25:37 kim kernel: EIP is at scan_active_list [kernel] 0x42 (2.4.20-13.9)
Jun  5 20:25:37 kim kernel: eax: 00000000   ebx: c12604d0   ecx: ccac9cc0   edx:
cffb5fb4
Jun  5 20:25:37 kim kernel: esi: c0308c4c   edi: 00000000   ebp: 00000003   esp:
cffb5fac
Jun  5 20:25:37 kim kernel: ds: 0068   es: 0068   ss: 0068
Jun  5 20:25:37 kim kernel: Process kscand/Normal (pid: 7, stackpage=cffb5000)
Jun  5 20:25:37 kim kernel: Stack: cffb4000 c0125460 00000001 00000003 cffb4000
c0308b40 cffb4000 c013b484 
Jun  5 20:25:37 kim kernel:        c0308b40 00000003 00000001 c025a88c 000009c4
c013b3d0 00000000 00000000 
Jun  5 20:25:37 kim kernel:        00000000 c010727d c0308b40 00000000 00000000 
Jun  5 20:25:37 kim kernel: Call Trace:   [<c0125460>] process_timeout [kernel]
0x0 (0xcffb5fb0))
Jun  5 20:25:37 kim kernel: [<c013b484>] kscand [kernel] 0xb4 (0xcffb5fc8))
Jun  5 20:25:37 kim kernel: [<c013b3d0>] kscand [kernel] 0x0 (0xcffb5fe0))
Jun  5 20:25:37 kim kernel: [<c010727d>] kernel_thread_helper [kernel] 0x5
(0xcffb5ff0))
Jun  5 20:25:37 kim kernel: 
Jun  5 20:25:37 kim kernel: 
Jun  5 20:25:37 kim kernel: Code: 8b 3f 39 f0 75 de 83 c4 0c 31 c0 5b 5e 5f 5d
c3 89 6c 24 04 
Jun  5 20:29:14 kim kernel:  <1>Unable to handle kernel paging request at
virtual address 20363120
Jun  5 20:29:14 kim kernel:  printing eip:
Jun  5 20:29:14 kim kernel: c0118837
Jun  5 20:29:14 kim kernel: *pde = 00000000
Jun  5 20:29:14 kim kernel: Oops: 0000
Jun  5 20:29:14 kim kernel: snd-pcm-oss snd-ens1371 snd-pcm snd-timer
snd-page-alloc snd-rawmidi snd-seq-device gameport snd-ac97-codec snd-mixer-oss
snd soundcore nfs lockd sunrpc tdfx 
Jun  5 20:29:14 kim kernel: CPU:    0
Jun  5 20:29:14 kim kernel: EIP:    0060:[<c0118837>]    Not tainted
Jun  5 20:29:14 kim kernel: EFLAGS: 00010087
Jun  5 20:29:14 kim kernel: 
Jun  5 20:29:14 kim kernel: EIP is at __wake_up [kernel] 0x27 (2.4.20-13.9)
Jun  5 20:29:14 kim kernel: eax: 2d5d2030   ebx: c8c6a1f0   ecx: 20363120   edx:
2d5d2030
Jun  5 20:29:14 kim kernel: esi: c8c6d8f0   edi: 00000001   ebp: c86c3ec0   esp:
c86c3ea0
Jun  5 20:29:14 kim kernel: ds: 0068   es: 0068   ss: 0068
Jun  5 20:29:14 kim kernel: Process kdeinit (pid: 2048, stackpage=c86c3000)
Jun  5 20:29:14 kim kernel: Stack: cd976000 00000001 00000000 00000001 00000286
c8686080 00000008 c8686080 
Jun  5 20:29:14 kim kernel:        cf166640 c01ed3f8 c5c21080 00000008 c8686080
c5c21080 c0238866 c8686080 
Jun  5 20:29:14 kim kernel:        00000008 00000008 c86c3efc c86860c8 00000000
c8686080 c8691a40 00000000 
Jun  5 20:29:14 kim kernel: Call Trace:   [<c01ed3f8>] sock_def_readable
[kernel] 0x58 (0xc86c3ec4))
Jun  5 20:29:14 kim kernel: [<c0238866>] unix_stream_sendmsg [kernel] 0x206
(0xc86c3ed8))
Jun  5 20:29:14 kim kernel: [<c01ea1a8>] sock_sendmsg [kernel] 0x78 (0xc86c3f10))
Jun  5 20:29:14 kim kernel: [<c01ea42b>] sock_write [kernel] 0xab (0xc86c3f54))
Jun  5 20:29:14 kim kernel: [<c0144953>] sys_write [kernel] 0xa3 (0xc86c3f94))
Jun  5 20:29:14 kim kernel: [<c010939f>] system_call [kernel] 0x33 (0xc86c3fc0))
Jun  5 20:29:14 kim kernel: 
Jun  5 20:29:14 kim kernel: 
Jun  5 20:29:14 kim kernel: Code: 8b 01 85 c7 75 19 8b 02 89 d3 89 c2 0f 0d 00
39 f3 75 ea ff 
Jun  5 20:29:31 kim kernel:  <1>Unable to handle kernel paging request at
virtual address 20363120
Jun  5 20:29:31 kim kernel:  printing eip:
Jun  5 20:29:31 kim kernel: c0118837
Jun  5 20:29:31 kim kernel: *pde = 00000000
Jun  5 20:29:31 kim kernel: Oops: 0000
Jun  5 20:29:31 kim kernel: snd-pcm-oss snd-ens1371 snd-pcm snd-timer
snd-page-alloc snd-rawmidi snd-seq-device gameport snd-ac97-codec snd-mixer-oss
snd soundcore nfs lockd sunrpc tdfx 
Jun  5 20:29:31 kim kernel: CPU:    0
Jun  5 20:29:31 kim kernel: EIP:    0060:[<c0118837>]    Not tainted
Jun  5 20:29:31 kim kernel: EFLAGS: 00013087
Jun  5 20:29:31 kim kernel: 
Jun  5 20:29:31 kim kernel: EIP is at __wake_up [kernel] 0x27 (2.4.20-13.9)
Jun  5 20:29:31 kim kernel: eax: c8c6d8f0   ebx: c8c6a1f0   ecx: 20363120   edx:
2d5d2030
Jun  5 20:29:31 kim kernel: esi: c8c6d8f0   edi: 00000001   ebp: cd977f4c   esp:
cd977f2c
Jun  5 20:29:31 kim gdm(pam_unix)[1884]: session closed for user kim
Jun  5 20:29:31 kim kernel: ds: 0068   es: 0068   ss: 0068
Jun  5 20:29:31 kim kernel: Process X (pid: 1885, stackpage=cd977000)
Jun  5 20:29:31 kim kernel: Stack: 00000001 c886e6e0 00000000 00000000 00003286
c8686080 c8691a40 00000003 
Jun  5 20:29:31 kim automount[1637]: attempting to mount entry /mnt/floppy*
Jun  5 20:29:31 kim kernel:        bfffef68 c023905b c8686080 c01e9fbc 00000000
c8c6d8d4 00000014 00000000 
Jun  5 20:29:31 kim kernel:        c01eb572 c8c6d8d4 00000002 00000014 0000000d
c01ebbcd 00000014 00000002 
Jun  5 20:29:31 kim automount[2248]: lookup(file): lookup for floppy* failed
Jun  5 20:29:31 kim kernel: Call Trace:   [<c023905b>] unix_shutdown [kernel]
0x3b (0xcd977f50))
Jun  5 20:29:31 kim kernel: [<c01e9fbc>] sockfd_lookup [kernel] 0x1c (0xcd977f58))
Jun  5 20:29:31 kim kernel: [<c01eb572>] sys_shutdown [kernel] 0x32 (0xcd977f6c))
Jun  5 20:29:31 kim kernel: [<c01ebbcd>] sys_socketcall [kernel] 0x1cd (0xcd977f80))
Jun  5 20:29:31 kim automount[1637]: attempting to mount entry /mnt/cdrom*
Jun  5 20:29:31 kim kernel: [<c0144d99>] sys_writev [kernel] 0x69 (0xcd977fa4))
Jun  5 20:29:31 kim kernel: [<c010939f>] system_call [kernel] 0x33 (0xcd977fc0))
Jun  5 20:29:31 kim kernel: 
Jun  5 20:29:31 kim kernel: 
Jun  5 20:29:31 kim kernel: Code: 8b 01 85 c7 75 19 8b 02 89 d3 89 c2 0f 0d 00
39 f3 75 ea ff 
Comment 3 Kim Bisgaard 2003-06-08 05:16:32 EDT
I also get these errors in kernel-2.4.20-18.9:

Jun  6 21:29:51 kim kernel: Unable to handle kernel NULL pointer dereference at
virtual address 00000000
Jun  6 21:29:51 kim kernel:  printing eip:
Jun  6 21:29:51 kim kernel: c013a652
Jun  6 21:29:51 kim kernel: *pde = 0b139067
Jun  6 21:29:51 kim kernel: *pte = 00000000
Jun  6 21:29:51 kim kernel: Oops: 0000
Jun  6 21:29:51 kim kernel: soundcore nfs lockd sunrpc tdfx parport_pc lp
parport iptable_filter ip_tables autofs eepro100 mii sg sr_mod ide-scsi scsi_mod
ide-cd cdrom keybdev mousedev h
Jun  6 21:29:51 kim kernel: CPU:    0
Jun  6 21:29:51 kim kernel: EIP:    0060:[<c013a652>]    Not tainted
Jun  6 21:29:51 kim kernel: EFLAGS: 00013246
Jun  6 21:29:51 kim kernel: 
Jun  6 21:29:51 kim kernel: EIP is at scan_active_list [kernel] 0x42 (2.4.20-18.9)
Jun  6 21:29:51 kim kernel: eax: 00000000   ebx: c12eb890   ecx: cefe9280   edx:
cffb5fb4
Jun  6 21:29:51 kim kernel: esi: c030900c   edi: 00000000   ebp: 00000003   esp:
cffb5fac
Jun  6 21:29:51 kim kernel: ds: 0068   es: 0068   ss: 0068
Jun  6 21:29:51 kim kernel: Process kscand/Normal (pid: 7, stackpage=cffb5000)
Jun  6 21:29:51 kim kernel: Stack: cffb4000 c0125460 00000001 00000003 cffb4000
c0308f00 cffb4000 c013b484 
Jun  6 21:29:51 kim kernel:        c0308f00 00000003 00000001 c025ab4c 000009c4
c013b3d0 00000000 00000000 
Jun  6 21:29:51 kim kernel:        00000000 c010727d c0308f00 00000000 00000000 
Jun  6 21:29:51 kim kernel: Call Trace:   [<c0125460>] process_timeout [kernel]
0x0 (0xcffb5fb0))
Jun  6 21:29:51 kim kernel: [<c013b484>] kscand [kernel] 0xb4 (0xcffb5fc8))
Jun  6 21:29:51 kim kernel: [<c013b3d0>] kscand [kernel] 0x0 (0xcffb5fe0))
Jun  6 21:29:51 kim kernel: [<c010727d>] kernel_thread_helper [kernel] 0x5
(0xcffb5ff0))
Jun  6 21:29:51 kim kernel: 
Jun  6 21:29:51 kim kernel: 
Jun  6 21:29:51 kim kernel: Code: 8b 3f 39 f0 75 de 83 c4 0c 31 c0 5b 5e 5f 5d
c3 89 6c 24 04 

Jun  7 15:33:47 kim kernel: Unable to handle kernel NULL pointer dereference at
virtual address 00000000
Jun  7 15:33:47 kim kernel:  printing eip:
Jun  7 15:33:47 kim kernel: c013a652
Jun  7 15:33:47 kim kernel: *pde = 00000000
Jun  7 15:33:47 kim kernel: Oops: 0000
Jun  7 15:33:47 kim kernel: soundcore nfs lockd sunrpc tdfx parport_pc lp
parport iptable_filter ip_tables autofs eepro100 mii sg sr_mod ide-scsi scsi_mod
ide-cd cdrom keybdev mousedev h
Jun  7 15:33:47 kim kernel: CPU:    0
Jun  7 15:33:47 kim kernel: EIP:    0060:[<c013a652>]    Not tainted
Jun  7 15:33:47 kim kernel: EFLAGS: 00010246
Jun  7 15:33:47 kim kernel: 
Jun  7 15:33:47 kim kernel: EIP is at scan_active_list [kernel] 0x42 (2.4.20-18.9)
Jun  7 15:33:47 kim kernel: eax: 00000000   ebx: c1035010   ecx: 00000001   edx:
cffb7fb4
Jun  7 15:33:47 kim kernel: esi: c0308d4c   edi: 00000000   ebp: 00000003   esp:
cffb7fac
Jun  7 15:33:47 kim kernel: ds: 0068   es: 0068   ss: 0068
Jun  7 15:33:47 kim kernel: Process kscand/DMA (pid: 6, stackpage=cffb7000)
Jun  7 15:33:47 kim kernel: Stack: cffb6000 c0125460 00000001 00000003 cffb6000
c0308c40 cffb6000 c013b484 
Jun  7 15:33:47 kim kernel:        c0308c40 00000003 00000001 c0266798 000009c4
c013b3d0 00000000 00000000 
Jun  7 15:33:47 kim kernel:        00000000 c010727d c0308c40 00000000 00000000 
Jun  7 15:33:47 kim kernel: Call Trace:   [<c0125460>] process_timeout [kernel]
0x0 (0xcffb7fb0))
Jun  7 15:33:47 kim kernel: [<c013b484>] kscand [kernel] 0xb4 (0xcffb7fc8))
Jun  7 15:33:47 kim kernel: [<c013b3d0>] kscand [kernel] 0x0 (0xcffb7fe0))
Jun  7 15:33:47 kim kernel: [<c010727d>] kernel_thread_helper [kernel] 0x5
(0xcffb7ff0))
Jun  7 15:33:47 kim kernel: 
Jun  7 15:33:47 kim kernel: 
Jun  7 15:33:47 kim kernel: Code: 8b 3f 39 f0 75 de 83 c4 0c 31 c0 5b 5e 5f 5d
c3 89 6c 24 04 

Jun  7 15:43:34 kim kernel: kernel BUG at vmscan.c:504!
Jun  7 15:43:34 kim kernel: invalid operand: 0000
Jun  7 15:43:34 kim kernel: soundcore nfs lockd sunrpc tdfx parport_pc lp
parport iptable_filter ip_tables autofs eepro100 mii sg sr_mod ide-scsi scsi_mod
ide-cd cdrom keybdev mousedev h
Jun  7 15:43:34 kim kernel: CPU:    0
Jun  7 15:43:34 kim kernel: EIP:    0060:[<c013a562>]    Not tainted
Jun  7 15:43:34 kim kernel: EFLAGS: 00010202
Jun  7 15:43:34 kim kernel: 
Jun  7 15:43:34 kim kernel: EIP is at refill_inactive_zone [kernel] 0x5e2
(2.4.20-18.9)
Jun  7 15:43:34 kim kernel: eax: 00000020   ebx: c1030004   ecx: c0308c40   edx:
00000000
Jun  7 15:43:34 kim kernel: esi: 0000072f   edi: c102ffe8   ebp: 00000739   esp:
c1921f9c
Jun  7 15:43:34 kim kernel: ds: 0068   es: 0068   ss: 0068
Jun  7 15:43:34 kim modprobe: modprobe: Can't locate module sound-service-0-0
Jun  7 15:43:34 kim kernel: Process kswapd (pid: 5, stackpage=c1921000)
Jun  7 15:43:34 kim kernel: Stack: c1921fbc c013b26a c0308d34 00000002 00000008
0000002d 00000001 0000000a 
Jun  7 15:43:34 kim kernel:        00000022 00000001 c1920000 c0308c40 c1920305
00000000 c013afd1 c0308c40 
Jun  7 15:43:34 kim kernel:        00000006 00000036 c013aef0 00000000 00000000
c010727d 00000000 00000000 
Jun  7 15:43:34 kim kernel: Call Trace:   [<c013b26a>] wakeup_memwaiters
[kernel] 0xda (0xc1921fa0))
Jun  7 15:43:34 kim kernel: [<c013afd1>] kswapd [kernel] 0xe1 (0xc1921fd4))
Jun  7 15:43:34 kim kernel: [<c013aef0>] kswapd [kernel] 0x0 (0xc1921fe4))
Jun  7 15:43:34 kim kernel: [<c010727d>] kernel_thread_helper [kernel] 0x5
(0xc1921ff0))
Jun  7 15:43:34 kim kernel: 
Jun  7 15:43:34 kim kernel: 
Jun  7 15:43:34 kim kernel: Code: 0f 0b f8 01 01 ab 25 c0 e9 6d fe ff ff 42 8d
04 9b 89 d1 01 

Jun  8 10:24:14 kim kernel: kernel BUG at page_alloc.c:139!
Jun  8 10:24:14 kim kernel: invalid operand: 0000
Jun  8 10:24:14 kim kernel: soundcore nfs lockd sunrpc tdfx parport_pc lp
parport iptable_filter ip_tables autofs eepro100 mii sg sr_mod ide-scsi scsi_mod
ide-cd cdrom keybdev mousedev h
Jun  8 10:24:14 kim kernel: CPU:    0
Jun  8 10:24:14 kim kernel: EIP:    0060:[<c013c099>]    Not tainted
Jun  8 10:24:14 kim kernel: EFLAGS: 00010282
Jun  8 10:24:14 kim kernel: 
Jun  8 10:24:14 kim kernel: EIP is at __free_pages_ok [kernel] 0xd9 (2.4.20-18.9)
Jun  8 10:24:14 kim kernel: eax: ca167d40   ebx: c11f98b0   ecx: 00000000   edx:
00000000
Jun  8 10:24:14 kim kernel: esi: c9095400   edi: 00000000   ebp: 09070045   esp:
c44c9bb0
Jun  8 10:24:14 kim kernel: ds: 0068   es: 0068   ss: 0068
Jun  8 10:24:14 kim kernel: Process kdeinit (pid: 2134, stackpage=c44c9000)
Jun  8 10:24:14 kim kernel: Stack: c0308f00 00000002 c0309184 c12f3ce8 c0308f00
c1038030 c0309118 c9095400 
Jun  8 10:24:14 kim kernel:        c9095400 00100000 c11f98b0 c9095400 00100000
09070045 c012d19c c11f98b0 
Jun  8 10:24:14 kim kernel:        000af000 c012f523 c98458c0 080af000 c9095400
cac08f80 000000b0 08400000 
Jun  8 10:24:14 kim gdm(pam_unix)[1852]: session closed for user kim
Jun  8 10:24:14 kim kernel: Call Trace:   [<c012d19c>] __free_pte [kernel] 0x4c
(0xc44c9be8))
Jun  8 10:24:14 kim automount[1605]: attempting to mount entry /mnt/floppy*
Jun  8 10:24:14 kim kernel: [<c012f523>] zap_pte_range [kernel] 0x123 (0xc44c9bf4))
Jun  8 10:24:14 kim kernel: [<c012d7e2>] zap_page_range [kernel] 0xc2 (0xc44c9c1c))
Jun  8 10:24:14 kim automount[2135]: lookup(file): lookup for floppy* failed
Jun  8 10:24:14 kim kernel: [<c0130a3f>] exit_mmap [kernel] 0xaf (0xc44c9c5c))
Jun  8 10:24:14 kim automount[1605]: attempting to mount entry /mnt/cdrom*
Jun  8 10:24:14 kim kernel: [<c014d11f>] exec_mmap [kernel] 0x15f (0xc44c9c80))
Jun  8 10:24:14 kim kernel: [<c014d144>] flush_old_exec [kernel] 0x14 (0xc44c9c9c))
Jun  8 10:24:14 kim automount[2136]: lookup(file): lookup for cdrom* failed
Jun  8 10:24:14 kim kernel: [<c0164cbc>] load_elf_binary [kernel] 0x2dc
(0xc44c9cb0))
Jun  8 10:24:14 kim automount[1605]: attempting to mount entry /mnt/jaz*
Jun  8 10:24:14 kim kernel: [<d0821a3f>] ext3_do_update_inode [ext3] 0x16f
(0xc44c9ce4))
Jun  8 10:24:14 kim kernel: [<c011c450>] ll_copy_from_user [kernel] 0x40
(0xc44c9de4))
Jun  8 10:24:14 kim kernel: [<c01649e0>] load_elf_binary [kernel] 0x0 (0xc44c9df0))
Jun  8 10:24:14 kim kernel: [<c014d74e>] search_binary_handler [kernel] 0xee
(0xc44c9dfc))
Jun  8 10:24:14 kim automount[2137]: lookup(file): lookup for jaz* failed
Jun  8 10:24:14 kim kernel: [<c014caad>] copy_strings [kernel] 0x1ad (0xc44c9e08))
Jun  8 10:24:14 kim kernel: [<c014d950>] do_execve [kernel] 0x180 (0xc44c9e44))
Jun  8 10:24:14 kim kernel: [<c0107af0>] sys_execve [kernel] 0x50 (0xc44c9fa4))
Jun  8 10:24:14 kim automount[1605]: attempting to mount entry /mnt/pocketzip*
Jun  8 10:24:14 kim kernel: [<c010939f>] system_call [kernel] 0x33 (0xc44c9fc0))
Jun  8 10:24:14 kim kernel: 
Jun  8 10:24:14 kim automount[2138]: lookup(file): lookup for pocketzip* failed
Jun  8 10:24:14 kim kernel: 
Jun  8 10:24:14 kim kernel: Code: 0f 0b 8b 00 5b ab 25 c0 8b 43 18 89 f9 89 de
83 e0 eb 89 43 
Jun  8 10:24:14 kim kernel:  ------------[ cut here ]------------
Jun  8 10:24:14 kim automount[1605]: attempting to mount entry /mnt/zip*
Jun  8 10:24:14 kim kernel: kernel BUG at mmap.c:1184!
Jun  8 10:24:14 kim kernel: invalid operand: 0000
Jun  8 10:24:14 kim automount[2139]: lookup(file): lookup for zip* failed
Jun  8 10:24:14 kim kernel: soundcore nfs lockd sunrpc tdfx parport_pc lp
parport iptable_filter ip_tables autofs eepro100 mii sg sr_mod ide-scsi scsi_mod
ide-cd cdrom keybdev mousedev h
Jun  8 10:24:14 kim kernel: CPU:    0
Jun  8 10:24:14 kim kernel: EIP:    0060:[<c0130a6a>]    Not tainted
Jun  8 10:24:14 kim automount[1605]: attempting to mount entry /mnt/ls120*
Jun  8 10:24:14 kim kernel: EFLAGS: 00010202
Jun  8 10:24:14 kim kernel: 
Jun  8 10:24:14 kim automount[2140]: lookup(file): lookup for ls120* failed
Jun  8 10:24:14 kim kernel: EIP is at exit_mmap [kernel] 0xda (2.4.20-18.9)
Jun  8 10:24:14 kim kernel: eax: cb61c5ec   ebx: 00000000   ecx: cee1eeac   edx:
cb61c7ec
Jun  8 10:24:14 kim kernel: esi: 00000000   edi: 00000073   ebp: cee1ee80   esp:
c44c9a70
Jun  8 10:24:14 kim automount[1605]: attempting to mount entry /mnt/camera*
Jun  8 10:24:14 kim kernel: ds: 0068   es: 0068   ss: 0068
Jun  8 10:24:14 kim kernel: Process kdeinit (pid: 2134, stackpage=c44c9000)
Jun  8 10:24:14 kim automount[2141]: lookup(file): lookup for camera* failed
Jun  8 10:24:14 kim kernel: Stack: c036f161 00000046 00000001 09070045 cee1ee80
00000000 c44c8000 0000000b 
Jun  8 10:24:14 kim kernel:        c0119d57 cee1ee80 00000206 cee1ee80 c011f0df
cee1ee80 00000000 c44c9b7c 
Jun  8 10:24:14 kim kernel:        00000000 c0109be0 09070045 c0109a80 0000000b
c0254d19 00000000 c44c8000 
Jun  8 10:24:14 kim automount[1605]: attempting to mount entry /mnt/memstick*
Jun  8 10:24:14 kim kernel: Call Trace:   [<c0119d57>] mmput [kernel] 0x47
(0xc44c9a90))
Jun  8 10:24:14 kim kernel: [<c011f0df>] do_exit [kernel] 0xef (0xc44c9aa0))
Jun  8 10:24:14 kim automount[2142]: lookup(file): lookup for memstick* failed
Jun  8 10:24:14 kim kernel: [<c0109be0>] do_invalid_op [kernel] 0x0 (0xc44c9ab4))
Jun  8 10:24:14 kim kernel: [<c0109a80>] do_divide_error [kernel] 0x0 (0xc44c9abc))
Jun  8 10:24:14 kim kernel: [<c0109c47>] do_invalid_op [kernel] 0x67 (0xc44c9ad0))
Jun  8 10:24:14 kim automount[1605]: attempting to mount entry /mnt/flash*
Jun  8 10:24:14 kim kernel: [<c013c099>] __free_pages_ok [kernel] 0xd9 (0xc44c9afc))
Jun  8 10:24:14 kim kernel: [<d080dc03>] do_get_write_access [jbd] 0x2a3
(0xc44c9b08))
Jun  8 10:24:14 kim automount[2143]: lookup(file): lookup for flash* failed
Jun  8 10:24:14 kim kernel: [<d080f2ee>] __journal_file_buffer [jbd] 0x16e
(0xc44c9b18))
Jun  8 10:24:14 kim kernel: [<d080e5d4>] journal_dirty_metadata_R98861174 [jbd]
0x174 (0xc44c9b44))
Jun  8 10:24:14 kim kernel: [<c0109490>] error_code [kernel] 0x34 (0xc44c9b70))
Jun  8 10:24:14 kim automount[1605]: attempting to mount entry /mnt/diskonkey*
Jun  8 10:24:14 kim kernel: [<c013c099>] __free_pages_ok [kernel] 0xd9 (0xc44c9ba4))
Jun  8 10:24:14 kim kernel: [<c012d19c>] __free_pte [kernel] 0x4c (0xc44c9be8))
Jun  8 10:24:14 kim automount[2144]: lookup(file): lookup for diskonkey* failed
Jun  8 10:24:14 kim kernel: [<c012f523>] zap_pte_range [kernel] 0x123 (0xc44c9bf4))
Jun  8 10:24:14 kim kernel: [<c012d7e2>] zap_page_range [kernel] 0xc2 (0xc44c9c1c))
Jun  8 10:24:14 kim kernel: [<c0130a3f>] exit_mmap [kernel] 0xaf (0xc44c9c5c))
Jun  8 10:24:14 kim automount[1605]: attempting to mount entry /mnt/microdrive*
Jun  8 10:24:14 kim kernel: [<c014d11f>] exec_mmap [kernel] 0x15f (0xc44c9c80))
Jun  8 10:24:14 kim kernel: [<c014d144>] flush_old_exec [kernel] 0x14 (0xc44c9c9c))
Jun  8 10:24:14 kim automount[2145]: lookup(file): lookup for microdrive* failed
Jun  8 10:24:14 kim kernel: [<c0164cbc>] load_elf_binary [kernel] 0x2dc
(0xc44c9cb0))
Jun  8 10:24:14 kim kernel: [<d0821a3f>] ext3_do_update_inode [ext3] 0x16f
(0xc44c9ce4))
Jun  8 10:24:14 kim kernel: [<c011c450>] ll_copy_from_user [kernel] 0x40
(0xc44c9de4))
Jun  8 10:24:14 kim kernel: [<c01649e0>] load_elf_binary [kernel] 0x0 (0xc44c9df0))
Jun  8 10:24:14 kim kernel: [<c014d74e>] search_binary_handler [kernel] 0xee
(0xc44c9dfc))
Jun  8 10:24:14 kim kernel: [<c014caad>] copy_strings [kernel] 0x1ad (0xc44c9e08))
Jun  8 10:24:14 kim kernel: [<c014d950>] do_execve [kernel] 0x180 (0xc44c9e44))
Jun  8 10:24:14 kim kernel: [<c0107af0>] sys_execve [kernel] 0x50 (0xc44c9fa4))
Jun  8 10:24:14 kim kernel: [<c010939f>] system_call [kernel] 0x33 (0xc44c9fc0))
Jun  8 10:24:14 kim kernel: 
Jun  8 10:24:14 kim kernel: 
Jun  8 10:24:14 kim kernel: Code: 0f 0b a0 04 6b aa 25 c0 c7 44 24 08 00 03 00
00 c7 44 24 04 

Comment 4 Bugzilla owner 2004-09-30 11:41:03 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.